/**
 * RSSWSAgentEvent
 * RSSWebSpiderAgentで発生するイベントの種類と内容を保持するオブジェクト
 */
package org.logical_paradox.rss.robot.event;
import java.util.EventObject;

import org.logical_paradox.rss.http.WebContents;

public class RSSWSAgentEvent extends EventObject {
	private WebContents contents = null;

	public RSSWSAgentEvent( Object src ) {
		super( src );
	}

	public RSSWSAgentEvent( Object src, WebContents wc ) {
		super( src );
		contents = wc;
	}

	public WebContents getContents() {
		return contents;
	}

	public void destroy() {
		// イベントを終了したことを通知する
	}
}
